Ticket #373 (new enhancement)

Opened 3 years ago

[PATCH] Add compatibility with newer mock versions

Reported by: giallu Owned by:
Priority: major Milestone:
Component: Code Base Version:
Severity: Minor Keywords:
Cc: Blocked By:
Blocking:

Description

As discussed in https://bugzilla.redhat.com/show_bug.cgi?id=601725 there is a namespace conflict between the python-mock module (http://pypi.python.org/pypi/mock) and the module provided by Fedora's mock.

It seems there is an agreement to rename Fedora's mock namespace to mockbuild, so as soon as this change lands in mock revisor will need to be updated.

The proposed patch adds compatibility with both old and new namespaces

Attachments

0001-Add-compatibility-with-newer-mock-versions.patch (916 bytes) - added by giallu 3 years ago.

Change History

Changed 3 years ago by giallu

Note: See TracTickets for help on using tickets.